For Developers

Revoke Role Assignment

DELETE https://ed.link/api/v2/teams/:team_id/members/:member_id/assignments/:assignment_id

Revokes a specific role assignment from a member, removing the permissions granted by that role.

Permissions

Requires the team_role_assignments.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:member_idUUIDYesThe ID of the membership record.
:assignment_idUUIDYesThe ID of the role assignment record to revoke.

Sample Request

const response = await axios.delete(
    `https://ed.link/api/v2/teams/${team_id}/members/${member_id}/assignments/${assignment_id}`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "e0b5f126-7c39-4458-9419-f53eb49f4851",
        "deleted": true
    }
}